Incomplete language support even with all languages preseeded

Bug #290398 reported by Mario Limonciello on 2008-10-28
4
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: ubiquity

Hi, this is using Ubiquity 1.10.8 from the daily DVD image on 10/27/2008.

Even with preseeding all languages that are included in the manifest, Ubiquity creates a note for postinstall that language support is incomplete.

Here is the relevant preseed key that is still causing it:

  d-i pkgsel/language-packs string aa ace af ak am an ang ar as ast az bal be ber bg bho bn bo br bs bua byn ca ceb co crh cs csb cv cy da de dsb dv dz el en eo es et eu fa fi fil fo fr frm fur fy ga gd gl gn grc gu gv ha haw he hi hil hr ht hu hy ia id ii io is it ja jbo jv ka kab kbd kk km kn ko kok ks ku kw ky la lb lg li ln lo lt lv mai mg mh mi mk ml mn mnc mr ms mt mus my nap nb nds ne nl nn no nr nso oc oj om or pa pap pl ps pt qu rm ro rom ru rw sa sc sco sd se si sk sl sn so sq sr ss st sv sw syr ta te tet tg th ti tk tl tlh tn tr ts tt ug uk ur uz ve vi wa wo xh yi yo za zh zu zza

Related branches

description: updated
Colin Watson (cjwatson) wrote :

Sorry we haven't followed up until now; generally speaking I find it logistically very difficult to do serious work on the DVD for a variety of awkward reasons.

Could you apply the following patch to /usr/share/ubiquity/install.py (edit it by hand and massage to fit if necessary; it's in the install_language_packs method), re-run this test, and attach /var/log/syslog and /var/log/installer/debug to this bug report? Thanks in advance.

=== modified file 'scripts/install.py'
--- scripts/install.py 2008-10-30 17:34:58 +0000
+++ scripts/install.py 2009-01-05 18:06:53 +0000
@@ -1220,6 +1220,7 @@ exit 0"""
         for pkg in self.langpacks:
             cachedpkg = self.get_cache_pkg(cache, pkg)
             if cachedpkg is None or not cachedpkg.isInstalled:
+ syslog.syslog(syslog.LOG_WARNING, "Language pack not installed: %s" % cachedpkg.name)
                 incomplete = True
                 break
         if incomplete:

Changed in ubiquity:
status: New → Incomplete
Mario Limonciello (superm1) wrote :

I've committed a fix to bzr to adjust what I believe to be a logic problem with this. It was freaking out on "language-support-aa".

Changed in ubiquity:
status: Incomplete → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 1.11.5

---------------
ubiquity (1.11.5) jaunty; urgency=low

  [ Evan Dandrea ]
  * Full screen the window when in ONLY_UBIQUITY mode. The extra screen
    real estate makes the timezone map, among other widgets, easier to
    use.
  * Modified the keyboard setup page to produce a more visually obvious
    suggestion.
  * Automatic update of included source packages: grub-installer
    1.36ubuntu1, localechooser 2.09ubuntu1, user-setup 1.23ubuntu8.

  [ Mario Limonciello ]
  * Adjust logic for detecting incomplete language support. Just
    because a package doesn't "exist" doesn't mean that language support
    isn't all there. Some packages don't yet provide language-support-XY
    packages. (LP: #290398)

  [ Colin Watson ]
  * Remove old XFS-on-/boot validation, no longer needed now that
    grub-install has been fixed (LP: #8058).
  * Default hostname to 'oem-laptop' or 'oem-desktop' as appropriate in OEM
    mode, to allow OEM installations to be fully preseeded (thanks, Twisted
    Lincoln, Inc.; LP: #321341).

 -- Evan Dandrea <email address hidden> Wed, 28 Jan 2009 17:00:46 +0000

Changed in ubiquity:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers